内容纲要

file

因为OMV5在SMB限制Quota大小的问题时发现omv已经发布了6版本,于是想到可能升级后可以解决这个问题,事实上设置中已经可以更新了,效果还未测试。

如果你的OMV版本 < 6那么可以用下面的命令升级:

apt update
apt upgrade -y
omv-update
omv-upgrade

如果你已经是最新版的omv,那么需要使用最新版的Debian11才可以安装,因为它依赖PHP7.4,其他系统同理,那么在运行前面的命令前需要先升级debian的大版本到11后再执行即可。

如果是初次安装,或者打算手动安装可以参考下面的代码:

cat <> /etc/apt/sources.list.d/openmediavault.list
deb http://packages.openmediavault.org/public shaitan main
# deb http://downloads.sourceforge.net/project/openmediavault/packages shaitan main
## Uncomment the following line to add software from the proposed repository.
# deb http://packages.openmediavault.org/public shaitan-proposed main
# deb http://downloads.sourceforge.net/project/openmediavault/packages shaitan-proposed main
## This software is not part of OpenMediaVault, but is offered by third-party
## developers as a service to OpenMediaVault users.
# deb http://packages.openmediavault.org/public shaitan partner
# deb http://downloads.sourceforge.net/project/openmediavault/packages shaitan partner
EOF

export LANG=C.UTF-8
export DEBIAN_FRONTEND=noninteractive
export APT_LISTCHANGES_FRONTEND=none
apt-get install --yes gnupg
wget -O "/etc/apt/trusted.gpg.d/openmediavault-archive-keyring.asc" https://packages.openmediavault.org/public/archive.key
apt-key add "/etc/apt/trusted.gpg.d/openmediavault-archive-keyring.asc"
apt-get update
apt-get --yes --auto-remove --show-upgraded \
    --allow-downgrades --allow-change-held-packages \
    --no-install-recommends \
    --option DPkg::Options::="--force-confdef" \
    --option DPkg::Options::="--force-confold" \
    install openmediavault-keyring openmediavault

# Populate the database.
omv-confdbadm populate

# Display the login information.
cat /etc/issue

发表评论

您的电子邮箱地址不会被公开。

浙ICP备14004285号-1